Bug 1023168 - Implicit SSLEngine for 443 port breaks mod_nss configuration
Implicit SSLEngine for 443 port breaks mod_nss configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: httpd (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
Filip Holec
:
Depends On:
Blocks: 1029042 1029043 1029046 1061016
  Show dependency treegraph
 
Reported: 2013-10-24 15:15 EDT by Martin Kosek
Modified: 2016-04-18 06:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: httpd-2.4.6-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1029042 1029046 1061016 (view as bug list)
Environment:
Last Closed: 2014-06-13 08:56:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2013-10-24 15:15:38 EDT
Description of problem:

This is a follow up for Bug 1018172. As Joe Orton commented, "Listen X https" or simply "Listen 443" now means an implicit "SSLEngine on" for the vhost. This does not play well when the HTTPS vhost is processed with mod_ssl and httpd won't start:

[Tue Oct 15 07:19:56.815573 2013] [ssl:emerg] [pid 4757] AH02240: Server should be SSL-aware but has no certificate configured [Hint: SSLCertificateFile] ((null):0)
[Tue Oct 15 07:19:56.815594 2013] [ssl:emerg] [pid 4757] AH02312: Fatal error initialising mod_ssl, exiting.

We should be able to at least set "SSLEngine off" in the mod_nss config to avoid this error.


Additional Note:

Our current workaround is to use "Listen 443 http".
Comment 5 Ludek Smid 2014-06-13 08:56:44 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.